Bug 770766 - [abrt] gedit-3.2.5-1.fc16: tooltip_construct: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.5-1.fc16: tooltip_construct: Process /usr/bin/gedit was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:b29feea1db80726e6752bdbe702...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-28 21:30 EST by Steven Oliver
Modified: 2013-02-13 16:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.67 KB, text/plain)
2011-12-28 21:30 EST, Steven Oliver
no flags Details
File: maps (49.25 KB, text/plain)
2011-12-28 21:30 EST, Steven Oliver
no flags Details
File: dso_list (12.87 KB, text/plain)
2011-12-28 21:30 EST, Steven Oliver
no flags Details
File: build_ids (4.44 KB, text/plain)
2011-12-28 21:30 EST, Steven Oliver
no flags Details

  None (edit)
Description Steven Oliver 2011-12-28 21:30:49 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit
comment:        I enabled this disabled the Valenica plugin.
crash_function: tooltip_construct
executable:     /usr/bin/gedit
kernel:         3.1.6-1.fc16.x86_64
pid:            6129
pwd:            /home/steveno
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Wed 28 Dec 2011 09:29:26 PM EST
uid:            1000
username:       steveno

backtrace:      Text file, 35505 bytes
build_ids:      Text file, 4551 bytes
dso_list:       Text file, 13175 bytes
maps:           Text file, 50433 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=odrade.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ea20c70b098e6851d57db4540000000d-1325121547.731179-2031725870
:GNOME_KEYRING_CONTROL=/tmp/keyring-XLkE3Q
:IMSETTINGS_MODULE=none
:USER=steveno
:USERNAME=steveno
:MAIL=/var/spool/mail/steveno
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/steveno/.local/bin/:/home/steveno/BIN
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/steveno
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1670
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/steveno
:XDG_SEAT=seat0
:SHLVL=1
:XDG_CONFIG_HOME=/home/steveno/.config
:LOGNAME=steveno
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-kBL3HgH9be,guid=de1f38681c3b7d10552690a8000001a1
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/steveno
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-steveno-d1UGyH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1678,unix/unix:/tmp/.ICE-unix/1678
:GPG_AGENT_INFO=/tmp/keyring-XLkE3Q/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-XLkE3Q/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1905-odrade.localdomain-gedit-9_TIME4573053
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=6129

event_log:
:2011-12-28-21:29:49> Analyzing coredump 'coredump'
:2011-12-28-21:29:49  Coredump references 111 debuginfo files, 21 of them are not installed
:2011-12-28-21:29:49  Setting up yum repositories
:2011-12-28-21:29:50  Looking for needed packages in repositories
:2011-12-28-21:29:50  Can't find packages for 1 debuginfo files
:2011-12-28-21:29:50  Packages to download: 9
:2011-12-28-21:29:52  Downloading 11.61Mb, installed size: 23.84Mb. Continue? YES
:2011-12-28-21:29:53  Downloading (1 of 9) pygobject3-debuginfo-3.0.2-1.fc16.x86_64.rpm: 100
:2011-12-28-21:29:53  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/pygobject3-debuginfo-3.0.2-1.fc16.x86_64.rpm
:2011-12-28-21:29:53  Caching files from unpacked.cpio made from pygobject3-debuginfo-3.0.2-1.fc16.x86_64.rpm
:2011-12-28-21:29:54  Downloading (2 of 9) ncurses-debuginfo-5.9-2.20110716.fc16.x86_64.rpm: 100
:2011-12-28-21:29:54  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/ncurses-debuginfo-5.9-2.20110716.fc16.x86_64.rpm
:2011-12-28-21:29:54  Caching files from unpacked.cpio made from ncurses-debuginfo-5.9-2.20110716.fc16.x86_64.rpm
:2011-12-28-21:29:55  Downloading (3 of 9) libgee-debuginfo-0.6.1-3.fc16.x86_64.rpm: 100
:2011-12-28-21:29:55  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/libgee-debuginfo-0.6.1-3.fc16.x86_64.rpm
:2011-12-28-21:29:55  Caching files from unpacked.cpio made from libgee-debuginfo-0.6.1-3.fc16.x86_64.rpm
:2011-12-28-21:29:55  Downloading (4 of 9) vte3-debuginfo-0.30.1-3.fc16.x86_64.rpm: 100
:2011-12-28-21:29:55  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/vte3-debuginfo-0.30.1-3.fc16.x86_64.rpm
:2011-12-28-21:29:55  Caching files from unpacked.cpio made from vte3-debuginfo-0.30.1-3.fc16.x86_64.rpm
:2011-12-28-21:29:59  Downloading (5 of 9) vala-debuginfo-0.14.0-1.fc16.x86_64.rpm: 100
:2011-12-28-21:29:59  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/vala-debuginfo-0.14.0-1.fc16.x86_64.rpm
:2011-12-28-21:30:00  Caching files from unpacked.cpio made from vala-debuginfo-0.14.0-1.fc16.x86_64.rpm
:2011-12-28-21:30:01  Downloading (6 of 9) hunspell-debuginfo-1.3.2-1.fc16.x86_64.rpm: 100
:2011-12-28-21:30:01  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/hunspell-debuginfo-1.3.2-1.fc16.x86_64.rpm
:2011-12-28-21:30:01  Caching files from unpacked.cpio made from hunspell-debuginfo-1.3.2-1.fc16.x86_64.rpm
:2011-12-28-21:30:01  Downloading (7 of 9) enchant-debuginfo-1.6.0-3.fc16.x86_64.rpm: 100
:2011-12-28-21:30:01  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/enchant-debuginfo-1.6.0-3.fc16.x86_64.rpm
:2011-12-28-21:30:01  Caching files from unpacked.cpio made from enchant-debuginfo-1.6.0-3.fc16.x86_64.rpm
:2011-12-28-21:30:02  Downloading (8 of 9) gtksourceview3-debuginfo-3.2.3-1.fc16.x86_64.rpm: 100
:2011-12-28-21:30:02  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/gtksourceview3-debuginfo-3.2.3-1.fc16.x86_64.rpm
:2011-12-28-21:30:02  Caching files from unpacked.cpio made from gtksourceview3-debuginfo-3.2.3-1.fc16.x86_64.rpm
:2011-12-28-21:30:05  Downloading (9 of 9) gedit-debuginfo-3.2.5-1.fc16.x86_64.rpm: 100
:2011-12-28-21:30:05  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169/gedit-debuginfo-3.2.5-1.fc16.x86_64.rpm
:2011-12-28-21:30:06  Caching files from unpacked.cpio made from gedit-debuginfo-3.2.5-1.fc16.x86_64.rpm
:2011-12-28-21:30:06  Removing /tmp/abrt-tmp-debuginfo-2011-12-28-21:29:49.6169
:2011-12-28-21:30:06  Missing debuginfo file: /usr/lib/debug/.build-id/26/a2d9d396954dba6aca37b1047bc0691662562b.debug
:2011-12-28-21:30:06  Generating backtrace
:2011-12-28-21:30:09  Backtrace is generated and saved, 35505 bytes
:2011-12-28-21:30:31> Element 'xsession_errors' saved
:2011-12-28-21:30:31> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: ae7b7cee-af9f-4809-86e8-e1a442da5903
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6829.84
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 965 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 3400
:System Memory: 7733
:System Swap: 9791
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.1.6-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4163:33673) pci, ahci, STORAGE, M4A785TD Motherboard
:(4130:38407:4163:33698) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 3)
:(4130:38409:4163:33698) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:38672:4163:33698) pci, radeon, VIDEO, M4A785TD Motherboard
:(4130:38401:4163:33698) pci, None, HOST/PCI, RS880 Host Bridge
:(4163:38402:4163:33698) pci, None, PCI/PCI, M4A785TD Motherboard
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(6523:9088:4163:33555) pci, firewire_ohci, FIREWIRE, IEEE 1394 Host Controller
:(4332:33128:4163:33699) pci, r8169, ETHERNET, M4A785TD Motherboard
:(4098:17308:4163:33673) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4163:33673) pci, piix4_smbus, SERIAL, M4A785TD Motherboard
:(4098:17309:4163:33673) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33644) pci, snd_hda_intel, MULTIMEDIA, M4A785TD Motherboard
:(4098:17305:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(5772:26:6041:28684) pci, ath5k, ETHERNET, F5D7000 v5000 Wireless G Desktop Card
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38671:4163:33698) pci, snd_hda_intel, MULTIMEDIA, M4A785TD Motherboard
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_odrade-lv_root / ext4 4096 4096 12901535 11271287 11140265 3276800 3128475 3128475
:/dev/sda1 /boot ext4 1024 1024 495844 411322 385722 128016 127782 127782
:/dev/mapper/vg_odrade-lv_home /home ext4 4096 4096 61419054 59659183 56539260 15605760 15593988 15593988
:/dev/sdb1 WITHHELD vfat 32768 32768 60785 60785 60785 0 0 0
:

var_log_messages:
:Dec 28 21:28:15 odrade yum[6103]: Installed: gedit-valencia-0.3.0-7.20110701git808152718e3ab.fc16.x86_64
:Dec 28 21:29:26 odrade kernel: [ 4635.268125] gedit[6129]: segfault at 10 ip 00007faf5539501d sp 00007fff37c3f980 error 4 in libvalencia.so[7faf5537c000+45000]
:Dec 28 21:29:26 odrade abrt[6139]: Saved core dump of pid 6129 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-28-21:29:26-6129 (49651712 bytes)

xsession_errors:
:(gedit:3247): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/steveno/Projects/eiddo/src/CMakeLists.txt': Error stating file '/home/steveno/Projects/eiddo/src/CMakeLists.txt': No such file or directory
:(gedit:6129): GLib-GObject-WARNING **: cannot register existing type `ValenciaExpressionParser'
:(gedit:6129): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `!g_type_is_a (interface_type, prerequisite_type)' failed
:(gedit:6129): GLib-GObject-WARNING **: cannot register existing type `SymbolBrowser'
:(gedit:6129): GLib-GObject-WARNING **: cannot register existing type `Tooltip'
:(gedit:6129): GLib-GObject-WARNING **: cannot register existing type `SignalConnectionSignalIDPair'
:(gedit:6129): GLib-GObject-WARNING **: cannot create new instance of invalid (non-instantiatable) type `<invalid>'
Comment 1 Steven Oliver 2011-12-28 21:30:52 EST
Created attachment 549890 [details]
File: backtrace
Comment 2 Steven Oliver 2011-12-28 21:30:54 EST
Created attachment 549891 [details]
File: maps
Comment 3 Steven Oliver 2011-12-28 21:30:55 EST
Created attachment 549892 [details]
File: dso_list
Comment 4 Steven Oliver 2011-12-28 21:30:57 EST
Created attachment 549893 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-01-16 12:22:49 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 16:58:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.